Skip to main content
`Ctrl`+`K`

# PetscRegressorLinearGetType

Return the type for the `PETSCREGRESSORLINEAR` solver

## Synopsis

    #include "petscregressor.h"
    PetscErrorCode PetscRegressorLinearGetType(PetscRegressor regressor, PetscRegressorLinearType *type)

## Input Parameter

- regressor - the `PetscRegressor` solver context

## Output Parameter

- type - `PETSCREGRESSORLINEAR` type

## See Also

`PetscRegressor`, `PETSCREGRESSORLINEAR`, `PetscRegressorLinearSetType()`, `PetscRegressorLinearType`

## Level

advanced

## Location

src/ml/regressor/impls/linear/linear.c

## Implementations

PetscRegressorLinearGetType_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages